# Uses of Class
org.apache.cxf.common.i18n.Message

Packages that use Message
Package
Description
org.apache.cxf
org.apache.cxf.bus.extension
org.apache.cxf.common.i18n
org.apache.cxf.common.util
org.apache.cxf.configuration
org.apache.cxf.endpoint
org.apache.cxf.interceptor
org.apache.cxf.service.factory
org.apache.cxf.ws.addressing

- ## Uses of Message in org.apache.cxf

  Constructors in org.apache.cxf with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `BusException(Message msg)`
  Constructs a `BusException` with the provided detail message.
  ``
  `BusException(Message msg, Throwable cause)`
  Constructs a `BusException` with the detail message and cause provided.

- ## Uses of Message in org.apache.cxf.bus.extension

  Constructors in org.apache.cxf.bus.extension with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `ExtensionException(Message msg)`
  Constructs a `ExtensionException` with the provided detail message.
  ``
  `ExtensionException(Message msg, Throwable cause)`
  Constructs a `ExtensionException` with the detail message and cause provided.

- ## Uses of Message in org.apache.cxf.common.i18n

  Fields in org.apache.cxf.common.i18n declared as Message
  Modifier and Type
  Field
  Description
  `protected final Message`
  UncheckedException.`message`
  Constructors in org.apache.cxf.common.i18n with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `Exception(Message msg)`
  ``
  `Exception(Message msg, Throwable t)`
  ``
  `UncheckedException(Message msg)`
  ``
  `UncheckedException(Message msg, Throwable t)`

- ## Uses of Message in org.apache.cxf.common.util

  Constructors in org.apache.cxf.common.util with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `Base64Exception(Message msg)`
  ``
  `Base64Exception(Message msg, Throwable t)`

- ## Uses of Message in org.apache.cxf.configuration

  Constructors in org.apache.cxf.configuration with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `ConfigurationException(Message msg)`
  Constructs a `ConfigurationException` with the provided detail message.
  ``
  `ConfigurationException(Message msg, Throwable cause)`
  Constructs a `ConfigurationException` with the detail message and cause provided.

- ## Uses of Message in org.apache.cxf.endpoint

  Constructors in org.apache.cxf.endpoint with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `EndpointException(Message msg)`
  ``
  `EndpointException(Message msg, Throwable t)`

- ## Uses of Message in org.apache.cxf.interceptor

  Constructors in org.apache.cxf.interceptor with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `Fault(Message message)`
  ``
  `Fault(Message message, Throwable throwable)`
  ``
  `Fault(Message message, Throwable throwable, QName fc)`
  ``
  `Fault(Message message, QName fc)`

- ## Uses of Message in org.apache.cxf.service.factory

  Constructors in org.apache.cxf.service.factory with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `ServiceConstructionException(Message msg)`
  ``
  `ServiceConstructionException(Message msg, Throwable t)`

- ## Uses of Message in org.apache.cxf.ws.addressing

  Constructors in org.apache.cxf.ws.addressing with parameters of type Message
  Modifier
  Constructor
  Description
  ``
  `EndpointUtilsException(Message msg)`
  ``
  `EndpointUtilsException(Message msg, Throwable t)`